Loading...
Searching...
No Matches
platform.h File Reference
`#include <limits.h>`
`#include <stddef.h>`
`#include <stdint.h>`
`#include "file_error_numbers.h"`
`#include "etl_profile.h"`
`#include "profiles/determine_compiler_language_support.h"`
`#include "profiles/determine_compiler_version.h"`
`#include "profiles/determine_development_os.h"`
`#include "private/diagnostic_cxx_20_compat_push.h"`
`#include "private/diagnostic_pop.h"`
`#include "profiles/determine_builtin_support.h"`
`#include "private/choose_namespace.h"`

Go to the source code of this file.

## Namespaces

namespace | etl

## Macros

#define | __STDC_LIMIT_MACROS
#define | __STDC_CONSTANT_MACROS
#define | ETL_DO_NOTHING static_cast<void>(0)
#define | ETL_PLATFORM_16BIT (UINT16_MAX == UINTPTR_MAX)
#define | ETL_PLATFORM_32BIT (UINT32_MAX == UINTPTR_MAX)
#define | ETL_PLATFORM_64BIT (UINT64_MAX == UINTPTR_MAX)
#define | ETL_IS_DEBUG_BUILD 0
#define | ETL_USING_STL 1
#define | ETL_NOT_USING_STL 0
#define | ETL_USING_STD_MUTEX 1
#define | ETL_NOT_USING_STD_MUTEX 0
#define | ETL_USING_STLPORT 0
#define | ETL_NOT_USING_STLPORT 1
#define | ETL_USING_8BIT_TYPES 0
#define | ETL_NOT_USING_8BIT_TYPES 1
#define | ETL_8BIT_SUPPORT (CHAR_BIT == 8)
#define | ETL_USING_20BIT_TYPES 0
#define | ETL_NOT_USING_20BIT_TYPES 1
#define | ETL_USING_64BIT_TYPES 1
#define | ETL_NOT_USING_64BIT_TYPES 0
#define | ETL_USING_WIDE_CHARACTERS 1
#define | ETL_NOT_USING_WIDE_CHARACTERS 0
#define | ETL_USING_FORMAT_FLOATING_POINT 1
#define | ETL_NOT_USING_FORMAT_FLOATING_POINT 0
#define | ETL_USING_FORMAT_LONG_DOUBLE_MATH 1
#define | ETL_NOT_USING_FORMAT_LONG_DOUBLE_MATH 0
#define | ETL_USING_LEGACY_VARIANT 1
#define | ETL_NOT_USING_LEGACY_VARIANT 0
#define | ETL_EXPLICIT_STRING_FROM_CHAR
#define | ETL_HAS_STRING_TRUNCATION_CHECKS 1
#define | ETL_HAS_STRING_CLEAR_AFTER_USE 1
#define | ETL_HAS_ERROR_ON_STRING_TRUNCATION 0
#define | ETL_HAS_ISTRING_REPAIR 0
#define | ETL_HAS_IVECTOR_REPAIR 0
#define | ETL_HAS_IDEQUE_REPAIR 0
#define | ETL_HAS_ICIRCULAR_BUFFER_REPAIR 0
#define | ETL_USING_EXCEPTIONS 0
#define | ETL_NOT_USING_EXCEPTIONS 1
#define | ETL_DEBUG_USING_EXCEPTIONS 0
#define | ETL_DEBUG_NOT_USING_EXCEPTIONS 1
#define | ETL_HAS_NULLPTR 0
#define | ETL_USING_LEGACY_BITSET 0
#define | ETL_HAS_MUTABLE_ARRAY_VIEW 0
#define | ETL_HAS_VIRTUAL_MESSAGES 1
#define | ETL_USING_STD_EXCEPTION 0
#define | ETL_USING_VERBOSE_CHRONO_LITERALS 0
#define | ETL_HAS_CHRONO_LITERALS_DAY 1
#define | ETL_HAS_CHRONO_LITERALS_YEAR 1
#define | ETL_HAS_CHRONO_LITERALS_DURATION 1
#define | ETL_CONSTEXPR
#define | ETL_CONSTEXPR11
#define | ETL_CONSTANT const
#define | ETL_DELETE
#define | ETL_EXPLICIT
#define | ETL_OVERRIDE
#define | ETL_FINAL
#define | ETL_NORETURN
#define | ETL_NOEXCEPT
#define | ETL_NOEXCEPT_EXPR(...)
#define | ETL_NOEXCEPT_IF(b)
#define | ETL_NOEXCEPT_FROM(x)
#define | ETL_MOVE(x)
#define | ETL_ENUM_CLASS(name)
#define | ETL_ENUM_CLASS_TYPE(name, type)
#define | ETL_LVALUE_REF_QUALIFIER
#define | ETL_RVALUE_REF_QUALIFIER
#define | ETL_CONSTEXPR14
#define | ETL_DEPRECATED
#define | ETL_DEPRECATED_REASON(reason)
#define | ETL_CONSTEXPR17
#define | ETL_IF_CONSTEXPR
#define | ETL_NODISCARD
#define | ETL_MAYBE_UNUSED
#define | ETL_FALLTHROUGH
#define | ETL_INLINE_VAR
#define | ETL_LIKELY
#define | ETL_UNLIKELY
#define | ETL_CONSTEXPR20
#define | ETL_CONSTEVAL
#define | ETL_CONSTINIT
#define | ETL_NO_UNIQUE_ADDRESS
#define | ETL_EXPLICIT_EXPR(...)
#define | ETL_CONSTEXPR20_STL
#define | ETL_ASSUME ETL_DO_NOTHING
#define | ETL_INDETERMINATE
#define | ETL_HAS_CHAR8_T 1
#define | ETL_HAS_NATIVE_CHAR8_T 0
#define | ETL_HAS_NATIVE_CHAR16_T 0
#define | ETL_HAS_NATIVE_CHAR32_T 0
#define | ETL_USING_LIBC_WCHAR_H 1
#define | ETL_NOT_USING_LIBC_WCHAR_H 0
#define | ETL_USING_STD_OSTREAM 1
#define | ETL_NOT_USING_STD_OSTREAM 0
#define | ETL_HAS_ATOMIC 0
#define | ETL_HAS_ATOMIC_ALWAYS_LOCK_FREE 0
#define | ETL_HAS_INITIALIZER_LIST 0
#define | ETL_PACKED_CLASS(class_type)
#define | ETL_PACKED_STRUCT(struct_type)
#define | ETL_END_PACKED
#define | ETL_HAS_PACKED 0

## Typedefs

typedef uint_least8_t | char8_t
typedef uint_least16_t | char16_t
typedef uint_least32_t | char32_t

## Macro Definition Documentation

## ETL_ENUM_CLASS

#define ETL_ENUM_CLASS | ( |  | name | ) |

Value:
enum name

## ETL_ENUM_CLASS_TYPE

#define ETL_ENUM_CLASS_TYPE | ( |  | name,
|  |  | type )

Value:
enum name

## ETL_EXPLICIT_EXPR

#define ETL_EXPLICIT_EXPR | ( |  | ... | ) |

Value:
explicit

## ETL_MOVE

#define ETL_MOVE | ( |  | x | ) |

Value:
x

## ETL_PACKED_CLASS

#define ETL_PACKED_CLASS | ( |  | class_type | ) |

Value:
class class_type

## ETL_PACKED_STRUCT

#define ETL_PACKED_STRUCT | ( |  | struct_type | ) |

Value:
struct struct_type